Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.netobjects
Class Keyword

    java.lang.Object
      scone.netobjects.TableRecord
          scone.netobjects.Keyword

All Implemented Interfaces:
  Cacheable

    public class Keyword

extends TableRecord

represents a keyword of a NetNode object.
It may for example be a word defined in the HTML meta-keyword tag.

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected static DBTableAdapter` | `dbTable`

Fields inherited from class scone.netobjects.TableRecord
`ctei, date, fieldValues, hasChanged, hasRecordInDB, persistent`

Constructor Summary
`Keyword(int keywordId)`
`Keyword(java.lang.String keyword)`

Method Summary
`java.lang.Object` | `getKey(int KeyNo)` returns the hashkey for this object (to be deprecated!)
`java.lang.String` | `getKeyword()` returns the keyword in String representation
`java.lang.String` | `getKeywordId()` returns the id of this keyword
`void` | `store()` writes a persistent representation of the object to the storage.

Methods inherited from class scone.netobjects.TableRecord
`isPersistent, now, setCacheTableEntryInterface, setChanged, setPersistent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### dbTable

    protected static DBTableAdapter dbTable

Constructor Detail

### Keyword

    public Keyword(int keywordId)

### Keyword

    public Keyword(java.lang.String keyword)

Method Detail

### getKeywordId

    public java.lang.String getKeywordId()

  returns the id of this keyword

  Returns:
    the id

### getKeyword

    public java.lang.String getKeyword()

  returns the keyword in String representation

  Returns:
    the keyword

### store

    public void store()

  Description copied from interface: `Cacheable`
  writes a persistent representation of the object to the storage. For example the scone database.

### getKey

    public java.lang.Object getKey(int KeyNo)

  Description copied from interface: `Cacheable`
  returns the hashkey for this object (to be deprecated!)

  Specified by:
    `getKey` in interface `Cacheable`
  Specified by:
    `getKey` in class `TableRecord`
  Parameters:
    `KeyNo` - the number of the key to be generated
  Returns:
    the Key(s) corresponding to the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD